import { SvelteComponentTyped } from "svelte";
import type { PageProps } from '@inertiajs/core';
import type { ComponentType } from 'svelte';
export type RenderProps = {
    component: ComponentType;
    props?: PageProps;
    children?: RenderProps[];
    key?: number | null;
} | null;
export declare const h: (component: ComponentType, props?: any, children?: RenderProps[], key?: number | null) => RenderProps;
declare const __propDef: {
    props: {
        component: ComponentType;
        props?: any;
        children?: RenderProps[];
        key?: number | null;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
type RenderProps_ = typeof __propDef.props;
export type RenderEvents = typeof __propDef.events;
export type RenderSlots = typeof __propDef.slots;
export default class Render extends SvelteComponentTyped<RenderProps_, RenderEvents, RenderSlots> {
}
export {};
