import { type InertiaAppResponse, type Page } from '@inertiajs/core';
import type { ComponentType } from 'svelte';
import App from './components/App.svelte';
import type { ComponentResolver } from './types';
interface CreateInertiaAppProps {
    id?: string;
    resolve: ComponentResolver;
    setup: (props: {
        el: Element;
        App: ComponentType<App>;
        props: {
            initialPage: Page;
            resolveComponent: ComponentResolver;
        };
    }) => void | App;
    progress?: false | {
        delay?: number;
        color?: string;
        includeCSS?: boolean;
        showSpinner?: boolean;
    };
    page?: Page;
}
export default function createInertiaApp({ id, resolve, setup, progress, page, }: CreateInertiaAppProps): InertiaAppResponse;
export {};
